## org.jgroups.blocks
Interface RpcDispatcher.Marshaller2

All Superinterfaces:
  RpcDispatcher.Marshaller

All Known Implementing Classes:
  RpcDispatcher.MarshallerAdapter

Enclosing class:
  RpcDispatcher

    public static interface RpcDispatcher.Marshaller2

extends RpcDispatcher.Marshaller

Method Summary
`java.lang.Object` `objectFromByteBuffer(byte[] buf, int offset, int length)`
`Buffer` `objectToBuffer(java.lang.Object obj)` Marshals the object into a byte[] buffer and returns a Buffer with a ref to the underlying byte[] buffer, offset and length. Note that the underlying byte[] buffer must not be changed as this would change the buffer of a message which potentially can get retransmitted, and such a retransmission would then carry a ref to a changed byte[] buffer !

Methods inherited from interface org.jgroups.blocks.RpcDispatcher.Marshaller
`objectFromByteBuffer, objectToByteBuffer`

Method Detail

### objectToBuffer

    Buffer objectToBuffer(java.lang.Object obj)
                          throws java.lang.Exception

  Marshals the object into a byte[] buffer and returns a Buffer with a ref to the underlying byte[] buffer, offset and length.
  Note that the underlying byte[] buffer must not be changed as this would change the buffer of a message which potentially can get retransmitted, and such a retransmission would then carry a ref to a changed byte[] buffer !

  Parameters:
    `obj` -
  Returns:
  Throws:
    `java.lang.Exception`

### objectFromByteBuffer

    java.lang.Object objectFromByteBuffer(byte[] buf,
                                          int offset,
                                          int length)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.